# Uses of Class
com.privatejgoodies.forms.layout.ConstantSize.Unit

Packages that use ConstantSize.Unit
Package
Description
com.github.lgooddatepicker.components
com.privatejgoodies.forms.layout

## Uses of ConstantSize.Unit in com.github.lgooddatepicker.components

Methods in com.github.lgooddatepicker.components with parameters of type ConstantSize.Unit
Modifier and Type
Method
Description
`void`
DateTimePicker.`setGapSize(int gapSize, ConstantSize.Unit units)`
setGapSize, This sets the size of the gap between the date picker and the time picker.

## Uses of ConstantSize.Unit in com.privatejgoodies.forms.layout

Fields in com.privatejgoodies.forms.layout declared as ConstantSize.Unit
Modifier and Type
Field
Description
`static final ConstantSize.Unit`
ConstantSize.`CENTIMETER`
`static final ConstantSize.Unit`
ConstantSize.`CM`
`static final ConstantSize.Unit`
ConstantSize.`DIALOG_UNITS_X`
`static final ConstantSize.Unit`
ConstantSize.`DIALOG_UNITS_Y`
`static final ConstantSize.Unit`
ConstantSize.`DLUX`
`static final ConstantSize.Unit`
ConstantSize.`DLUY`
`static final ConstantSize.Unit`
ConstantSize.`IN`
`static final ConstantSize.Unit`
ConstantSize.`INCH`
`static final ConstantSize.Unit`
ConstantSize.`MILLIMETER`
`static final ConstantSize.Unit`
ConstantSize.`MM`
`static final ConstantSize.Unit`
ConstantSize.`PIXEL`
`static final ConstantSize.Unit`
ConstantSize.`POINT`
`static final ConstantSize.Unit`
ConstantSize.`PT`
`static final ConstantSize.Unit`
ConstantSize.`PX`
Methods in com.privatejgoodies.forms.layout that return ConstantSize.Unit
Modifier and Type
Method
Description
`static ConstantSize.Unit`
Sizes.`getDefaultUnit()`
Returns the Unit that is used if an encoded ConstantSize contains no unit string.
`ConstantSize.Unit`
ConstantSize.`getUnit()`
Returns this size's unit.
Methods in com.privatejgoodies.forms.layout with parameters of type ConstantSize.Unit
Modifier and Type
Method
Description
`static void`
Sizes.`setDefaultUnit(ConstantSize.Unit unit)`
Sets the Unit that shall be used if an encoded ConstantSize provides no unit string.
Constructors in com.privatejgoodies.forms.layout with parameters of type ConstantSize.Unit
Modifier
Constructor
Description
``
`ConstantSize(double value, ConstantSize.Unit unit)`
Constructs a ConstantSize for the given size and unit.
``
`ConstantSize(int value, ConstantSize.Unit unit)`
Constructs a ConstantSize for the given size and unit.